All Apps and Add-ons

Cannot migrate DBConnect 2.4.0 -> 3.2.0 on Splunk 7.3.2.

Champion

Hi

Has anyone done this migration? Based on short try it seems that bin/dbx_app_migration.py needs python3 but on splunk 7.3.2 has only python2 installed.

3.1.4 supports migration with python2, so probably I need to do first a migration to 3.1.4 and then just update it to 3.2.0 without additional migration steps? Any experience or proposals for this?

r. Ismo

0 Karma

Champion

Unfortunately this didn’t help us.

0 Karma

Path Finder

It could be if you might have use these lines :
aFile.writelines('{"value":"1970-01-01 00:00:00.00","appVersion":"3.1.4","columnType":93,"timestamp":"1970-01-01T00:00:00.000+11:00"}')

you want to read this https://answers.splunk.com/answers/516111/splunk-db-connect-v3-automated-programmatic-creati.html#an...

0 Karma